Subject: Re: [bug#42279] [PATCH] gnu: Add distrho-ports.

From: Marius Bakke <[email-masked]>
Date: Tue, 21 Jul 2020 00:59:06 +0200

Alexandros Theodotou <[email-masked]> writes:

> Hi,
>
> Thanks for the review.
>
> On Tue, 2020-07-21 at 00:07 +0200, Marius Bakke wrote:
>> > +  Wolpertinger.")
>> > +      (home-page "http://distrho.sourceforge.net/ports")
>> > +      (license (list license:gpl2      ; found in doc directory
>> > +                     license:lgpl3+    ; found in doc directory
>> > +                     license:gpl3)))))  ; mentioned in meson file
>> 
>> This is a problem: GPL3 is famously incompatible with GPL2.  If these
>> plugins are licensed separately it would be good to list the license
>> for
>> each and take it from there.
>> 
>> Even better (I think?) is to package each plugin separately.  Then
>> users
>> can choose whether to combine these incompatibly-licensed plugins,
>> but
>> we as a distribution can not (and probably not DISTRHO either).
>> 
>> Not sure what to do about it.  Ideas?
>
> Why is it a problem? It's only a problem if you link them together
> afaik. The plugins that this project produces are all separate
> binaries, each under its own license.

Right.  If they don't share code it's probably okay.

> I think we should just list the license for each included plugin. I'm a
> bit against making separate packages - it would be a pain to maintain
> and the plugins don't take up much disk space.

Listing the license of each plugin sounds good to me.